from flask import Blueprint, request, render_template
from definitions.models import Asset, db

viewasset_bp = Blueprint('viewasset', __name__)

@viewasset_bp.route('/view/<string:assettag>/')
def view_item(assettag):
    item = Asset.query.filter_by(assettag=assettag).first()
    if item:
        return render_template('viewitem.html', item=item)
    return f"Asset {assettag} is not found"